Google Web Toolkit (Beta)
Search this site:

# Interface FiresDisclosureEvents

public interface FiresDisclosureEvents
// Implemented by `DisclosurePanel`
A widget that implements this interface fires the events defined by the DisclosureHandler interface.

## Methods

addEventHandler(DisclosureHandler) | Adds a handler interface to receive open events.
removeEventHandler(DisclosureHandler) | Removes a previously added handler interface.

## Method Detail

### addEventHandler

public void addEventHandler(DisclosureHandler handler)
Adds a handler interface to receive open events.

#### Parameters

handler
  the handler to add

### removeEventHandler

public void removeEventHandler(DisclosureHandler handler)
Removes a previously added handler interface.

#### Parameters

handler
  the handler to remove.